textures/skies/ame_starfield
{
	qer_editorimage env/ame_starfield/GTK.tga
	nocompress
	nomipmaps
	nopicmip
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	
	q3map_sun 1.00 1.00 1.00 70 90 90
	q3map_surfacelight 70
	
	skyparms env/ame_starfield/starfield - -
}

textures/skies/mp_blizzard
{
	qer_editorimage env/mp_blizzard/blizzard_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 150
	surfaceparm sky
	q3map_sun 1 1 1 50 0 90
	skyparms env/mp_blizzard/blizzard - -
}

textures/skies/deepsea
{
	qer_editorimage env/deepsea/deepsea_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 150
	surfaceparm sky
	q3map_sun 1 1 1 50 0 90
	skyparms env/deepsea/deepsea - -
}

textures/kj4/fog
{
	qer_editorimage textures/kj4/fog_black1.tga
	fogparms ( 1.00000 0.023295 0.000000 ) 8
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/KJ4/light_700
{
	qer_editorimage textures/KJ4/light_700qer.tga
	qer_trans 0.80
	q3map_surfacelight 150
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/kj4/wormhole1
{
	qer_editorimage video/wormholes/c0.jpg
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		videoMap video/wormholes/wormhole1.roq
		blendfunc add
	}
}

textures/sfx/wormhole2_static
{
	qer_editorimage textures/sfx/wormhole2_sm.tga
	q3map_backsplash 20 50
	cull none
	nopicmip
	surfaceparm nonsolid
	surfaceparm trans
	cull none
 	cull disable
	q3map_lightsubdivide 256
	
	{
		clampmap textures/sfx/wormhole2_swirl_layer.tga
		blendfunc GL_ONE GL_ONE
		alphaFunc GE128
		tcMod rotate -128
		tcmod scale .0 .0
		tcmod scroll .1 .1
	}
	{
		clampmap textures/sfx/wormhole2_static.tga
		blendFunc GL_ONE GL_ONE
		alphaFunc GE128
		rgbGen identity
		tcMod rotate 128
	}
	{
		clampmap textures/sfx/wormhole2_swirl.tga
		blendFunc GL_ONE GL_ONE
		alphaFunc GE128
		rgbGen identity
		tcMod rotate 256
	}
	{
		clampmap textures/sfx/wormhole2_middle.tga
		blendFunc GL_ONE GL_ONE
		alphaFunc GE128
		rgbGen identity
		tcMod rotate -128
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/sfx/wormhole2_swirl_layer
{
	qer_editorimage textures/sfx/wormhole2_swirl_layer.tga
	q3map_backsplash 20 50
	cull none
	nopicmip
	surfaceparm nonsolid
	surfaceparm trans
	q3map_lightsubdivide 256
	{
		clampmap textures/sfx/wormhole2_swirl_layer.tga
		blendfunc GL_ONE GL_ONE
		alphaFunc GE128
		tcMod rotate 5
		tcmod scale .0 .0
	}
		{
		map $lightmap
		blendfunc GL_ONE GL_ONE
		depthFunc equal
		rgbGen identity
	}
}

textures/kj4/signs/runs
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/kj4/custom/yellow
{
	qer_trans 0.80
	qer_editorimage textures/kj4/custom/yellow.tga
	sort seethrough
	surfaceparm trans
	surfaceparm nodamage
	cull disable
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm alphashadow
	surfaceparm trans
	
	q3map_lightsubdivide 256
	q3map_surfacelight 1000
	
	{
 		map textures/kj4/custom/yellow.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
 	}
}


///////// MIRROR TEXTURE

textures/KJ4/mirror_nonsolid
{
	qer_trans 0.80
	sort seethrough
	nomipmaps
	nopicmip
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm alphashadow
	portal
	{
		map textures/KJ4/mirror_nonsolid.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 16384
        }
}








//mirrors edge theme - parkour run
/////////////

///////////////////////


//////////////////////////////////



textures/mirrorsedge/skybox
{
    qer_editorimage textures/mirrorsedge/sp_sky.tga
    skyparms env/saber/sky 2048 -
    
    q3map_sunExt 1 1 1 450 315 50 2 16
     
    q3map_lightmapfilterRadius 0 8
      q3map_skyLight 300 3
   

    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nodlight
   
    nopicmip
    nomipmaps

    {   
        map textures/mirrorsedge/sp_sky.tga
        tcMod scroll 0.002 -0.002
        rgbGen identityLighting
    }
    {   
        map textures/mirrorsedge/sp_sky_arc_masked.tga
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
        tcMod transform 0.25 0 0 0.25 0.1075 0.1075
        rgbGen identityLighting
    }
}

textures/skies/ely_sunset
{
	qer_editorimage env/ely_sunset/sunset_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_surfacelight 50
	q3map_sun 1 0.7 0.7 80 350 10
	skyparms env/ely_sunset/sunset - -
}

textures/skies/hw_city
{
	qer_editorimage env/hw_city/city_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_surfacelight 50
	q3map_sun 1 1 1 100 40 15
	skyparms env/hw_city/city - -
}

textures/skies/lmcity
{
	qer_editorimage env/lmcity/lmcity_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_surfacelight 30
	q3map_sun 1 1 1 70 0 90      
        skyparms env/lmcity/lmcity - -
}

textures/mirrorsedge/orangetrim
{
	polygonOffset
	surfaceparm pointlight
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitBlend -
}

textures/mirrorsedge/whitetrim
{
	polygonOffset
	surfaceparm pointlight
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	implicitBlend -
}

textures/mirrorsedge/metalvent
{
	polygonOffset
	surfaceparm pointlight
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitBlend -
}

textures/mirrorsedge/air_duct_vent_02_col
{
	surfaceparm metalsteps
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMap -
}

textures/mirrorsedge/door_metal02
{
	surfaceparm metalsteps
	implicitMap -
}

textures/mirrorsedge/concrete_sidewalk_dirty
{
	surfaceparm nodamage
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMap -
}

textures/mirrorsedge/floortile
{
	surfaceparm nodamage
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMap -
}

textures/mirrorsedge/floortile2
{
	surfaceparm nodamage
	surfaceparm slick
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMap -
}

textures/mirrorsedge/orange
{
	surfaceparm nodamage
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMap -
}

textures/mirrorsedge/solarpanel
{
	qer_editorimage textures/mirrorsedge/solarpanel.jpg
	qer_trans .7
	q3map_globaltexture
	cull disable
	surfaceparm trans
	surfaceparm nodamage
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	surfaceparm slick
	{
		map textures/mirrorsedge/solarpanel_alpha.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

textures/mirrorsedge/blackmetal
{
	surfaceparm nodamage
	surfaceparm metal
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMap -
	{
		map textures/sfx/envmap_metal.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mirrorsedge/blackmetal.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

textures/mirrorsedge/greymetal
{
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm metal
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMap -
	{
		map textures/sfx/envmap_metal.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mirrorsedge/greymetal.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

textures/mirrorsedge/yellowmetal
{
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm metal
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMap -
	{
		map textures/sfx/envmap_gold.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mirrorsedge/yellowmetal.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

textures/mirrorsedge/greenmetal
{
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm metal
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMap -
	{
		map textures/sfx/envmap_gold.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mirrorsedge/greenmetal.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

textures/mirrorsedge/redmetal
{
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm metal
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMap textures/mirrorsedge/redmetal.jpg
	{
		map textures/sfx/envmap_gold.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mirrorsedge/redmetal.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}


textures/mirrorsedge/metal01
{
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm metal
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMap -
	{
	{
		map textures/sfx/envmap_gold.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
		map textures/mirrorsedge/metal01.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

textures/mirrorsedge/white_pipe
{
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm metal
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMask textures/mirrorsedge/white_pipe.jpg
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/mirrorsedge/white_pipe.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

textures/mirrorsedge/orange_pipe
{
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm metal
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMask textures/mirrorsedge/orange_pipe.jpg
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/mirrorsedge/orange_pipe.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

textures/mirrorsedge/sewergrate
{
	surfaceparm nodamage
	surfaceparm metalsteps
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMap -
}

textures/mirrorsedge/skyscraper_side2_windows_alpha
{
	qer_trans 0.8
	polygonOffset
	surfaceparm pointlight
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	implicitBlend -
}

textures/mirrorsedge/skyscraper_side2_windows
{
	polygonOffset
	surfaceparm pointlight
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	implicitBlend -
}

textures/mirrorsedge/skyscraper_side2
{
	polygonOffset
	surfaceparm pointlight
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	implicitBlend -
}

textures/mirrorsedge/concrete_slick
{
	surfaceparm nodamage
	surfaceparm slick
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitMap -
}

textures/mirrorsedge/black
{
	surfaceparm pointlight
	surfaceparm trans
	implicitMap -
}

textures/mirrorsedge/water1
{
	nocompress
	qer_editorimage textures/mirrorsedge/water1.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	{ 
		fog on
		map textures/mirrorsedge/water1.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}

}


textures/mirrorsedge/proto_fence
{
	surfaceparm pointlight
	surfaceparm trans	
	surfaceparm monsterslick
	surfaceparm monsterslicknorth	
	cull disable
	nomipmaps
	nopicmip
	{
		map textures/mirrorsedge/proto_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/mirrorsedge/grating
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	implicitBlend -
}

textures/mirrorsedge/light1
{
	qer_editorimage textures/mirrorsedge/light1.jpg
	q3map_surfacelight 70000
	surfaceparm nomarks
		surfaceparm monsterslick
	surfaceparm monsterslicknorth
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mirrorsedge/light1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mirrorsedge/light1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/mirrorsedge/hand
{
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm nonsolid
	nopicmip
	implicitBlend -
}

textures/mirrorsedge/neonarrow_purple
{
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm nonsolid
	nopicmip
	implicitBlend -
}


